﻿using UnityEngine;
using System.Collections;

public class QuickMove : MonoBehaviour {
	
	public bool moveRight = false;
	public bool moveLeft = false;

	void Awake() {
		if(moveRight) {
			rigidbody2D.AddForce(new Vector2(300, 0));
		} else if(moveLeft)  {
			rigidbody2D.AddForce(new Vector2(-300, 0));
		}
	}
	
	void FixedUpdate() {
		Debug.Log(transform.position.x);
		if(moveRight && transform.position.x > -1.0) {
			moveRight = false;
			rigidbody2D.isKinematic = true;
		}

		if(moveLeft && transform.position.x < 1.5) {
			moveLeft = false;
			rigidbody2D.isKinematic = true;
		}
	}
}
